com.google.gwt.user.cellview.client

## Class CellTree.RevealAnimation

- java.lang.Object
- - com.google.gwt.animation.client.Animation
  - - com.google.gwt.user.cellview.client.CellTree.NodeAnimation
    - - com.google.gwt.user.cellview.client.CellTree.RevealAnimation

- Direct Known Subclasses:
    CellTree.SlideAnimation
  Enclosing class:
    CellTree

      public static class CellTree.RevealAnimation
      extends CellTree.NodeAnimation

  A `CellTree.NodeAnimation` that reveals the contents of child nodes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Element` | `contentContainer` The container that holds the content, includind the children.
    `(package private) int` | `height` The target height when opening, the start height when closing.
    `(package private) boolean` | `opening` True if the node is opening, false if closing.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `animate(CellTreeNodeView<?> node, boolean isAnimationEnabled)` Animate a `CellTreeNodeView` into its new state.
    `static CellTree.RevealAnimation` | `create()` Create a new `CellTree.RevealAnimation`.
    `protected void` | `onComplete()` Called immediately after the animation completes.
    `protected void` | `onStart()` Called immediately before the animation starts.
    `protected void` | `onUpdate(double progress)` Called when the animation should be updated.

    - ### Methods inherited from class com.google.gwt.user.cellview.client.CellTree.NodeAnimation

      `getDuration, setDuration`

    - ### Methods inherited from class com.google.gwt.animation.client.Animation

      `cancel, interpolate, isRunning, onCancel, run, run, run, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contentContainer

          Element contentContainer

      The container that holds the content, includind the children.

    - #### height

          int height

      The target height when opening, the start height when closing.

    - #### opening

          boolean opening

      True if the node is opening, false if closing.

  - ### Method Detail

    - #### create

          public static CellTree.RevealAnimation create()

      Create a new `CellTree.RevealAnimation`.
      Returns:
        the new animation

    - #### onComplete

          protected void onComplete()

      Description copied from class: `Animation`
      Called immediately after the animation completes.
      Overrides:
        `onComplete` in class `Animation`

    - #### onStart

          protected void onStart()

      Description copied from class: `Animation`
      Called immediately before the animation starts.
      Overrides:
        `onStart` in class `Animation`

    - #### onUpdate

          protected void onUpdate(double progress)

      Description copied from class: `Animation`
      Called when the animation should be updated. The value of progress is between 0.0 and 1.0 (inclusive) (unless you override the `Animation.interpolate(double)` method to provide a wider range of values). There is no guarantee that `Animation.onUpdate(double)` is called with 0.0 or 1.0. If you need to perform setup or tear down procedures, you can override `Animation.onStart()` and `Animation.onComplete()`.
      Specified by:
        `onUpdate` in class `Animation`
      Parameters:
        `progress` - a double, normally between 0.0 and 1.0 (inclusive)

    - #### animate

          void animate(CellTreeNodeView<?> node,
                       boolean isAnimationEnabled)

      Animate a `CellTreeNodeView` into its new state.
      Specified by:
        `animate` in class `CellTree.NodeAnimation`
      Parameters:
        `node` - the `CellTreeNodeView` to animate
        `isAnimationEnabled` - true to animate